Index: branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 571)
@@ -16,171 +16,176 @@
 function IGCM_post_Configure
 {
-    IGCM_debug_PushStack "IGCM_post_Configure"
-
-    # Debug Print :
-    echo
-    IGCM_debug_Print 1 "IGCM_post_Configure"
-    #
-    # Initialize
-    #
-    POST=false
-    RebuildFrequency=false
-    TimeSeriesFrequency=false
-    SeasonalFrequency=false
-    #
-    # ONLY IF SOMETHING NEEDS TO BE DONE (EATHER TIME SERIES OR SEASONAL) COMPUTE THE MODULOS
-    #
-    if [ X${AsynchronousRebuild} = Xtrue ] ; then
-	list_post="RebuildFrequency"
+  IGCM_debug_PushStack "IGCM_post_Configure"
+
+  # Debug Print :
+  echo
+  IGCM_debug_Print 1 "IGCM_post_Configure"
+  #
+  # Initialize
+  #
+  POST=false
+  RebuildFrequency=false
+  PackFrequency=false
+  TimeSeriesFrequency=false
+  SeasonalFrequency=false
+  unset list_post
+  #
+  # ONLY IF SOMETHING NEEDS TO BE DONE (EATHER TIME SERIES OR SEASONAL) COMPUTE THE MODULOS
+  #
+  if [ X${AsynchronousRebuild} = Xtrue ] ; then
+    list_post="RebuildFrequency"
+  fi
+  #
+  if [ X${Pack} = Xtrue ] ; then
+    list_post="${list_post} PackFrequency"
+  fi
+  #
+  if ( [ X${TimeSeries} = Xtrue ] || [ X${TimeSeries2D} = Xtrue ] || [ X${TimeSeries3D} = Xtrue ] ) ; then
+    list_post="${list_post} TimeSeriesFrequency"
+  fi
+  #
+  if [ X${Seasonal} = Xtrue ] ; then
+    list_post="${list_post} SeasonalFrequency"
+  fi
+
+  # Overrule special cases
+  if ( [ ! X${config_Post_TimeSeriesFrequency} = X${NULL_STR} ] && \
+    [ ! X${config_Post_TimeSeriesFrequency} = XNONE ]           && \
+    [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
+    TimeSeriesFrequency=true
+    POST=true
+  fi
+  #
+  if ( [ X${AsynchronousRebuild} = Xtrue ] && [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
+    RebuildFrequency=true
+    POST=true
+  fi
+
+  # READ REBUILD OR TIME SERIES OR SEASONAL FREQUENCY
+  # AND TURN ON THE SUBMISSION FLAG WHEN MODULO IS ZERO
+  for post_freq in ${list_post} ; do
+    # Extract frequency from previously defined variable
+    config_Post_post_freq=$( eval echo \${config_Post_${post_freq}} )
+    # Offset for Seasonal Average starting period
+    if [ ${post_freq} = SeasonalFrequency ] ; then
+      if ( [ X${config_Post_SeasonalFrequencyOffset} = X${NULL_STR} ] || [ X${config_Post_SeasonalFrequencyOffset} = XNONE ] || [ X${config_Post_SeasonalFrequencyOffset} = X ] ) ; then
+	PeriodOffset=0
+      else
+	PeriodOffset=${config_Post_SeasonalFrequencyOffset}
+      fi
+    else
+      PeriodOffset=0
     fi
-    #
-    if ( [ X${TimeSeries} = Xtrue ] || [ X${TimeSeries2D} = Xtrue ] || [ X${TimeSeries3D} = Xtrue ] ) ; then
-	list_post="${list_post} TimeSeriesFrequency"
+    # Compute Modulo between frequencys (/!\second argument will be multiplied by CumuPeriod/!\)
+    # RebuildFrequency needs additionnal information
+    if [ ${post_freq} = RebuildFrequency ] ; then
+      IGCM_post_ModuloRuntimeFrequency config_Post_post_freq config_UserChoices_PeriodLength NbRebuildDir
+    else
+      IGCM_post_ModuloRuntimeFrequency config_Post_post_freq config_UserChoices_PeriodLength
     fi
     #
-    if [ X${Seasonal} = Xtrue ] ; then
-	list_post="${list_post} SeasonalFrequency"
-    fi
-
-    # Overrule special cases
-    if ( [ ! X${config_Post_TimeSeriesFrequency} = X${NULL_STR} ] && \
-	 [ ! X${config_Post_TimeSeriesFrequency} = XNONE ]        && \
-	 [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
-	TimeSeriesFrequency=true
-	POST=true
-    fi
-    #
-    if ( [ ! X${config_Post_RebuildFrequency} = X${NULL_STR} ] && \
-	 [ ! X${config_Post_RebuildFrequency} = XNONE ]        && \
-	 [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
-	RebuildFrequency=true
-	POST=true
-    fi
-
-    # READ REBUILD OR TIME SERIES OR SEASONAL FREQUENCY
-    # AND TURN ON THE SUBMISSION FLAG WHEN MODULO IS ZERO
-    for post_freq in ${list_post} ; do
-        # Extract frequency from previously defined variable
-        config_Post_post_freq=$( eval echo \${config_Post_${post_freq}} )
-	# Offset for Seasonal Average starting period
-	if [ ${post_freq} = SeasonalFrequency ] ; then
-	    if ( [ X${config_Post_SeasonalFrequencyOffset} = X${NULL_STR} ] || [ X${config_Post_SeasonalFrequencyOffset} = XNONE ] || [ X${config_Post_SeasonalFrequencyOffset} = X ] ) ; then
-		PeriodOffset=0
-	    else
-		PeriodOffset=${config_Post_SeasonalFrequencyOffset}
-	    fi
-	else
-	    PeriodOffset=0
-	fi
-        # Compute Modulo between frequencys (/!\second argument will be multiplied by CumuPeriod/!\)
-	# RebuildFrequency needs additionnal information
-	if [ ${post_freq} = RebuildFrequency ] ; then
-	    IGCM_post_ModuloRuntimeFrequency config_Post_post_freq config_UserChoices_PeriodLength NbRebuildDir
-	else
-	    IGCM_post_ModuloRuntimeFrequency config_Post_post_freq config_UserChoices_PeriodLength
-	fi
-	#
-	IGCM_debug_Print 1 "${post_freq} flag value : ${RebuildFrequency}"
-    done
-    #
-    IGCM_debug_Print 2 "POST-TREATEMENT flag value : ${POST}"
-    #
-    IGCM_debug_PopStack "IGCM_post_Configure"
+    IGCM_debug_Print 1 "${post_freq} flag value : ${RebuildFrequency}"
+  done
+  #
+  IGCM_debug_Print 2 "POST-TREATEMENT flag value : ${POST}"
+  #
+  IGCM_debug_PopStack "IGCM_post_Configure"
 }
 
 function IGCM_post_Submit
 {
-    IGCM_debug_PushStack "IGCM_post_Submit"
-
-    typeset listVarEnv
-
-    POST_DIR=${R_OUT_POST}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
-
-    if [ ${POST} = true ]; then
+  IGCM_debug_PushStack "IGCM_post_Submit"
+
+  typeset listVarEnv DaysTemp
+
+  #POST_DIR=${R_OUT_POST}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+  POST_DIR=${R_BUF_KSH}
+  # trick for IDRIS
+  POST_DIR=$( echo ${R_BUF_KSH} | sed -e "s/workgpfs/workdir/" )
+
+  if [ ${POST} = true ]; then
+    echo
+    IGCM_debug_Print 1 "IGCM_post_Submit"
+    echo
+    IGCM_debug_Print 2 "POST_DIR = ${POST_DIR}"
+  fi
+
+  #============ TIME SERIES POST-PROCESSING ===========#
+  if [ ${TimeSeriesFrequency} = true ] ; then
+
+    IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ACTIVATED"
+    echo
+
+
+
+    # Get information from last execution
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted
+    CompletedFlag=${run_PostProcessing_TimeSeriesCompleted}
+    #
+
+
+
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    #
+    jLoop=${#ListDimension[*]}
+    j=0
+    until [ $j -ge ${jLoop} ]; do
+      Dimension=${ListDimension[${j}]}
+      #
+      if [ X$( eval echo \${TimeSeries${Dimension}} ) = Xtrue ] ; then
+	#
+	IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ${Dimension} ACTIVATED"
 	echo
-	IGCM_debug_Print 1 "IGCM_post_Submit"
-	echo
-	IGCM_debug_Print 2 "POST_DIR = ${POST_DIR}"
-    fi
-
-    #============ TIME SERIES POST-TREATMENT ===========#
-    if [ ${TimeSeriesFrequency} = true ] ; then
-
-        IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ACTIVATED"
-        echo
-
-
-
-	# Get information from last execution
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted
-	CompletedFlag=${run_PostProcessing_TimeSeriesCompleted}
         #
-
-
-
-        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+	if [ X${Dimension} = X ] ; then
+	  TsTask="empty"
+	  Script_Post_Output=create_ts.${PeriodDateEnd}
+	else
+	  TsTask=${Dimension}
+	  Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
+	fi
 	#
-	jLoop=${#ListDimension[*]}
-	j=0
-	until [ $j -ge ${jLoop} ]; do
-	    Dimension=${ListDimension[${j}]}
-	    #
-	    if [ X$( eval echo \${TimeSeries${Dimension}} ) = Xtrue ] ; then
-		#
-		IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ${Dimension} ACTIVATED"
-		echo
-                #
-		if [ X${Dimension} = X ] ; then
-		    TsTask="empty"
-		    Script_Post_Output=create_ts.${PeriodDateEnd}
-		else
-		    TsTask=${Dimension}
-		    Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
-		fi
-	        #
-		if [ ${RebuildFrequency} = true ] ; then
-	            #
-		    if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
-			if [ X${MASTER} = Xtitane ] ; then
-			    echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			fi
-			echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RebuildFrequency=${RebuildFrequency}    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export DateBegin=${DateBegin}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export CompletedFlag=${CompletedFlag}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export TsTask=${TsTask}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "unset  CompToRead                              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "unset  FlagToRead                              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			if [ X${MASTER} = Xtitane ] ; then
-			    echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			fi
-			echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo "IGCM_sys_QsubPost create_ts                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			if [ X${MASTER} = Xtitane ] ; then
-			    echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			fi
-		    fi
-	            #
-		else
-	            #
-		    IGCM_sys_RshPost <<-EOF
+	if [ ${RebuildFrequency} = true ] ; then
+	  #
+	  if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
+#	    if [ X${MASTER} = Xtitane ] ; then
+#	      echo "IGCM_sys_RshPost <<-EOF"                       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	    fi
+	    echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RebuildFrequency=${RebuildFrequency}    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export DateBegin=${DateBegin}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export CompletedFlag=${CompletedFlag}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export TsTask=${TsTask}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "unset  CompToRead                              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "unset  FlagToRead                              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	    if [ X${MASTER} = Xtitane ] ; then
+#	      echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	      echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	    fi
+	    echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo "IGCM_sys_QsubPost create_ts                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	    if [ X${MASTER} = Xtitane ] ; then
+#	      echo "EOF"                                           >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	    fi
+	  fi
+	else
+	  IGCM_sys_RshPost <<-EOF
                     export DEBUG_debug=${DEBUG_debug}
                     export MODIPSL=${MODIPSL}
@@ -212,85 +217,83 @@
                     IGCM_sys_QsubPost create_ts
 EOF
-		fi
+	fi
+      fi
+      #
+      if [ X$( eval echo \${TimeSeriesChunck${Dimension}} ) = Xtrue ] ; then
+	#
+	IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ${Dimension} WITH CHUNCK ACTIVATED"
+	echo
+	# Need to Remember This One
+	SavedDateBegin=${DateBegin}
+	# Kind of task create_ts will perform
+	TsTask=Chunck${Dimension}
+	# Number of chunck jobs to configure and submit
+	eval NbJob=\${#CHUNCK${Dimension}_COMP[@]}
+	typeset i
+	i=0
+	until [ $i -ge $NbJob ]; do
+	  CompToRead=$( eval echo \${CHUNCK${Dimension}_COMP[\${i}]} )
+	  FlagToRead=$( eval echo \${CHUNCK${Dimension}_FLAG[\${i}]} )
+	  NameToRead=$( eval echo \${CHUNCK${Dimension}_NAME[\${i}]} )
+	  ChunckSize=$( eval echo \${CHUNCK${Dimension}_SIZE[\${i}]} )
+	  # Chunck Length (mandatory in Year)
+	  YearsChunckLength=$( echo ${ChunckSize} | sed -e "s/[yY]//" )
+	  #
+	  IGCM_date_GetYearMonth ${DateBegin}     YearBegin MonthBegin
+	  #
+	  IGCM_date_GetYearMonth ${PeriodDateEnd} YearEnd   MonthEnd
+	  # How many chunck in total since simulation began
+	  NbYearsChunckLoop=$(( ( ${YearEnd} - ${YearBegin} + 1 ) / ${YearsChunckLength} ))
+	  #  Tweak special case
+	  [ $(( ( ${YearEnd} - ${YearBegin} + 1 ) % ${YearsChunckLength} )) = 0 ] && NbYearsChunckLoop=$(( ${NbYearsChunckLoop} - 1 ))
+	  # Starting Year of the current chunck
+	  ChunckTsYearBegin=$(( ${NbYearsChunckLoop} *  ${YearsChunckLength} + ${YearBegin} ))
+	  # Starting date of the current chunck
+	  ChunckTsDateBegin=${ChunckTsYearBegin}${MonthBegin}01
+	  #
+	  Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
+	  #
+	  if [ ${RebuildFrequency} = true ] ; then
+	    #
+	    if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
+#	      if [ X${MASTER} = Xtitane ] ; then
+#		echo "IGCM_sys_RshPost <<-EOF"                       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	      fi
+	      echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RebuildFrequency=${RebuildFrequency}    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export DateBegin=${ChunckTsDateBegin}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export CompletedFlag=${CompletedFlag}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export TsTask=${TsTask}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export CompToRead=${CompToRead}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export FlagToRead=${FlagToRead}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	      if [ X${MASTER} = Xtitane ] ; then
+#		echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#		echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	      fi
+	      echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      echo "IGCM_sys_QsubPost create_ts                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	      if [ X${MASTER} = Xtitane ] ; then
+#		echo "EOF"                                           >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	      fi
 	    fi
-	    #
-	    if [ X$( eval echo \${TimeSeriesChunck${Dimension}} ) = Xtrue ] ; then
-		#
-		IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ${Dimension} WITH CHUNCK ACTIVATED"
-		echo
-		# Need to Remember This One
-		SavedDateBegin=${DateBegin}
-		# Kind of task create_ts will perform
-		TsTask=Chunck${Dimension}
-	        # Number of chunck jobs to configure and submit
-		eval NbJob=\${#CHUNCK${Dimension}_COMP[@]}
-		typeset i
-		i=0
-		until [ $i -ge $NbJob ]; do
-		    CompToRead=$( eval echo \${CHUNCK${Dimension}_COMP[\${i}]} )
-		    FlagToRead=$( eval echo \${CHUNCK${Dimension}_FLAG[\${i}]} )
-		    NameToRead=$( eval echo \${CHUNCK${Dimension}_NAME[\${i}]} )
-		    ChunckSize=$( eval echo \${CHUNCK${Dimension}_SIZE[\${i}]} )
-		    # Chunck Length (mandatory in Year)
-		    YearsChunckLength=$( echo ${ChunckSize} | sed -e "s/[yY]//" )
-		    #
-		    IGCM_date_GetYearMonth ${DateBegin}     YearBegin MonthBegin
-		    #
-		    IGCM_date_GetYearMonth ${PeriodDateEnd} YearEnd   MonthEnd
-		    # How many chunck in total since simulation began
-		    NbYearsChunckLoop=$(( ( ${YearEnd} - ${YearBegin} + 1 ) / ${YearsChunckLength} ))
-		    #  Tweak special case
-		    [ $(( ( ${YearEnd} - ${YearBegin} + 1 ) % ${YearsChunckLength} )) = 0 ] && NbYearsChunckLoop=$(( ${NbYearsChunckLoop} - 1 ))
-		    # Starting Year of the current chunck
-		    ChunckTsYearBegin=$(( ${NbYearsChunckLoop} *  ${YearsChunckLength} + ${YearBegin} ))
-		    # Starting date of the current chunck
-		    ChunckTsDateBegin=${ChunckTsYearBegin}${MonthBegin}01
-		    #
-		    Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
-		    #
-		    if [ ${RebuildFrequency} = true ] ; then
-	                #
-			if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
-			    if [ X${MASTER} = Xtitane ] ; then
-				echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    fi
-			    echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RebuildFrequency=${RebuildFrequency}    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export DateBegin=${ChunckTsDateBegin}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export CompletedFlag=${CompletedFlag}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export TsTask=${TsTask}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export CompToRead=${CompToRead}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export FlagToRead=${FlagToRead}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    if [ X${MASTER} = Xtitane ] ; then
-				echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-				echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    fi
-			    echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    echo "IGCM_sys_QsubPost create_ts                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    if [ X${MASTER} = Xtitane ] ; then
-				echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			    fi
-			fi
-	                #
-		    else
-	                #
-			IGCM_sys_RshPost <<-EOF
+	  else
+	    IGCM_sys_RshPost <<-EOF
                         export DEBUG_debug=${DEBUG_debug}
                         export MODIPSL=${MODIPSL}
